# Class ELContextEvent

java.lang.Object
java.util.EventObject
jakarta.el.ELContextEvent

All Implemented Interfaces:
  `Serializable`

public class ELContextEvent extends EventObject

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELContextEvent(ELContext source)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ELContext`
  `getELContext()`

  ### Methods inherited from class EventObject

  `getSource, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ELContextEvent

    public ELContextEvent(ELContext source)
    Parameters:
      `source` - The EL context that was the source of this event

- ## Method Details

  - ### getELContext

    public ELContext getELContext()